<script setup>
import Sidebar from "@/components/Sidebar.vue";
import {useTrainerStore} from "@/stores/trainer"
import TrainerForm from "@/components/TrainerForm.vue"
import {computed} from "vue";

const trainerStore = useTrainerStore()

const trainers = computed(() => [...trainerStore.trainers])

</script>


<template>

  <h1>Trainer Overview</h1>
  <Sidebar></Sidebar>

  <div class="trainerInput">
    <trainer-form></trainer-form>
  </div>

  <div class="container mt-3">
    <table class="table table-dark table-striped">
      <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th>City</th>
        <th>Gross Salary</th>
        <th>Net Salary</th>
        <th>Employment</th>
        <th>Subject</th>
        <th>Details</th>
      </tr>
      </thead>
      <tbody>
      <tr v-for="(trainer, index) in trainers">
        <td>{{ trainer.firstName }}</td>
        <td>{{ trainer.lastName }}</td>
        <td>{{ trainer.email }}</td>
        <td>{{ trainer.residence }}</td>
        <td>{{ trainer.salary }}</td>
        <td>{{ trainer.salary * 0.8 }}</td>
        <td>{{ trainer.employmentType }}</td>
        <td><span v-for="subjects in trainer.subjects">{{ subjects + "  " }}</span></td>
        <td>
          <button type="button" class="btn btn-outline-warning">
            <router-link
                class="link btn-dark" :to="/trainer/+ index">Details
            </router-link>
          </button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>

</template>


<style scoped>
.trainerInput {
  margin-left: -300px;
  margin-top: 50px;
  margin-bottom: 50px;
}

h1 {
  margin-left: 50px;

}

.container {
  margin-left: -310px;
}

.table-dark {
  width: 1000px;
  border: solid black 5px;
}

.btn-dark {
  color: white;
  border: none;
  text-decoration: none;
}

th {
  font-weight: bold;
}


</style>